Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Class UnsupportedDataTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  javax.activation.UnsupportedDataTypeException

All Implemented Interfaces:
  Serializable

    public class UnsupportedDataTypeException

extends IOException

Signals that the requested operation does not support the requested data type.

Since:
  1.6
See Also:
  `DataHandler`, Serialized Form

Constructor Summary
`UnsupportedDataTypeException()` Constructs an UnsupportedDataTypeException with no detail message.
`UnsupportedDataTypeException(String s)` Constructs an UnsupportedDataTypeException with the specified message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedDataTypeException

    public UnsupportedDataTypeException()

  Constructs an UnsupportedDataTypeException with no detail message.

### UnsupportedDataTypeException

    public UnsupportedDataTypeException(String s)

  Constructs an UnsupportedDataTypeException with the specified message.

  Parameters:
    `s` - The detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.